# poptItem_s Struct Reference
[POPT.]

A popt alias or exec argument for poptAddItem(). More...

`#include <popt.h>`

## Data Fields

poptOption | option
int | argc
const char ** | argv

## Detailed Description

A popt alias or exec argument for poptAddItem().

Definition at line 137 of file popt.h.

## Field Documentation

int poptItem_s::argc

| (alias) no. of args. Definition at line 139 of file popt.h. Referenced by execCommand(), handleAlias(), and poptAddItem().

const char** poptItem_s::argv

| (alias) args, must be free()able. Definition at line 140 of file popt.h. Referenced by execCommand(), handleAlias(), poptAddItem(), and poptFreeContext().

struct poptOption poptItem_s::option

| alias/exec name(s) and description. Definition at line 138 of file popt.h. Referenced by handleAlias(), handleExec(), itemHelp(), itemUsage(), poptAddItem(), and poptFreeContext().

The documentation for this struct was generated from the following file:

- popt/popt.h